#include <wchar.h>
#include "../gdbm-local.h"
#include "../curses.h"
#include "../struktury_dbm.h"
#include "../lib_dbm.h"

void prumer(DBM * dbm_ptr)
{
    struct dbm_info inf;
    WINDOW *pad;

    float vprumer;
    unsigned int i, pom;

    inf = zjisti_informace(dbm_ptr);
    pad = newpad(9, 55);

    vprumer = pom = 0;
    for (i = 0; i <= 3; i++) {
	vprumer += (float) inf.kreditu[i];
	pom += inf.znamka[i];
    }

//erase();
    refresh();
    box(pad, ACS_VLINE, ACS_HLINE);

    mvwprintw8(pad, 1, 2, L"Známka       :  0 %6i %7i %7i | Celkem", 1, 2,
	       3);
    mvwprintw(pad, 2, 2,
	      "-----------------     --      --      -- | ------");
    mvwprintw8(pad, 3, 2, L"Počet známek :%3i %6i %7i %7i | %5i",
	       inf.znamka[0], inf.znamka[1], inf.znamka[2], inf.znamka[3],
	       pom);
    mvwprintw8(pad, 4, 2, L"Počet kreditů:%3i %6i %7i %7i | %5i",
	       inf.kreditu[0], inf.kreditu[1], inf.kreditu[2],
	       inf.kreditu[3], (int) vprumer);

    if (inf.znamka[1] + inf.znamka[2] + inf.znamka[3])
	mvwprintw(pad, 6, 2, "       průměr:    %30.2f",
		  (float) (inf.znamka[1] + inf.znamka[2] * 2 +
			   inf.znamka[3] * 3)
		  / (inf.znamka[1] + inf.znamka[2] + inf.znamka[3]));
    else
	mvwprintw(pad, 6, 2, "       průměr:    %30s", "-.--");

    vprumer = pom = 0;
    for (i = 0; i <= 3; i++) {
	vprumer += (float) inf.kreditu[i] * i;
	if (i)
	    pom += inf.kreditu[i];
    }

    wattron(pad, A_BOLD);
    if (pom)
	mvwprintw(pad, 7, 2, "VÁŽENÝ PRǓMĚR:    %30.2f",
		  (float) (vprumer / pom));
    else
	mvwprintw(pad, 7, 2, "VÁŽENÝ PRǓMĚR:    %30s", "-,--");
    wattroff(pad, A_BOLD);

    prefresh(pad, 0, 0, 5, 8, LINES - 1, COLS - 1);
    wint_t ch;
    (void) wget_wch(pad, &ch);
    delwin(pad);
}
